Bug 2141209 - CVE-2022-39377 sysstat: arithmetic overflow in allocate_structures() on 32 bit systems [fedora-36]
Summary: CVE-2022-39377 sysstat: arithmetic overflow in allocate_structures() on 32 bi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sysstat
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lukáš Zaoral
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-39377
TreeView+ depends on / blocked
 
Reported: 2022-11-09 06:50 UTC by TEJ RATHI
Modified: 2022-11-18 01:15 UTC (History)
5 users (show)

Fixed In Version: sysstat-12.5.6-2.fc36 sysstat-12.6.0-4.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-18 00:44:44 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2022-11-09 06:50:33 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2141207

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 TEJ RATHI 2022-11-09 06:50:37 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2141207,2141209

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-11-09 12:21:51 UTC
FEDORA-2022-dbe48a4bc7 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-dbe48a4bc7

Comment 3 Fedora Update System 2022-11-09 12:27:37 UTC
FEDORA-2022-9f3af921a5 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9f3af921a5

Comment 4 Fedora Update System 2022-11-10 13:58:44 UTC
FEDORA-2022-9f3af921a5 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-9f3af921a5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9f3af921a5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-11-10 17:14:33 UTC
FEDORA-2022-dbe48a4bc7 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-dbe48a4bc7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-dbe48a4bc7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-11-18 00:44:44 UTC
FEDORA-2022-dbe48a4bc7 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2022-11-18 01:15:29 UTC
FEDORA-2022-9f3af921a5 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.